#!/bin/sh
# hack
# assumes the following layout:
# project dir/
#	warnings.sh: this file
# 	logs/: directory containing the output of make all 2>&1 | tee <...>/logs/make.log 

egrep -i "warning: |Entering directory" logs/make.log >logs/warnings.all
grep -i "is always" logs/warnings.all >logs/warnings.always
grep -i "aliasing" logs/warnings.all >logs/warnings.aliasing
grep -i "clobbered" logs/warnings.all >logs/warnings.clobbered
grep -i "unused " logs/warnings.all >logs/warnings.paramunused
egrep -i "function pointer and .void" logs/warnings.all >logs/warnings.fpointervoid
egrep -i "isn.t a prototype" logs/warnings.all >logs/warnings.isntprototype
grep -i "uninitialized " logs/warnings.all >logs/warnings.uninitialized
grep -i "defined but not " logs/warnings.all >logs/warnings.varunused
grep -i "not match function type" logs/warnings.all >logs/warnings.castfunctype
grep -i "incompatible pointer" logs/warnings.all >logs/warnings.incompatible
grep -i "discards qualifier" logs/warnings.all >logs/warnings.qualifier
grep -i "ignored on asm" logs/warnings.all >logs/warnings.asmignored
grep -i "variadic macros" logs/warnings.all >logs/warnings.variadic
grep -i "braced-groups" logs/warnings.all >logs/warnings.braced
grep -i "string length" logs/warnings.all >logs/warnings.stringlength
grep "WARNING:" logs/warnings.all >logs/warnings.WARNING
egrep -i "changing search order|non-system directory" logs/warnings.all >logs/warnings.searchorder
grep -i "comma " logs/warnings.all >logs/warnings.comma
grep -i "extra .;" logs/warnings.all >logs/warnings.semicolon
grep -i " format, " logs/warnings.all >logs/warnings.format
egrep -i "differ in signedness|comparison between" logs/warnings.all >logs/warnings.signedness
egrep -v "is always|comparison between |not match function type|variadic macros|isn.t a prototype|aliasing|clobbered| format, |extra .;|function pointer and .void|string length|comma |unused |braced-groups|differ in signedness|uninitialized |defined but not |incompatible pointer|Entering directory|discards qualifier|ignored on asm|WARNING:|changing search order|non-system directory" logs/warnings.all >logs/warnings.rest
